org.jacoco.core.runtime

## Class RemoteControlWriter

- java.lang.Object
- - org.jacoco.core.data.ExecutionDataWriter
  - - org.jacoco.core.runtime.RemoteControlWriter

All Implemented Interfaces:
  IExecutionDataVisitor, ISessionInfoVisitor, IRemoteCommandVisitor

    public class RemoteControlWriter
    extends ExecutionDataWriter
    implements IRemoteCommandVisitor

`ExecutionDataWriter` with commands added for runtime remote control.

### Field Summary

Fields
`static byte` `BLOCK_CMDDUMP` Block identifier for dump command
`static byte` `BLOCK_CMDOK` Block identifier to confirm successful command execution.

### Fields inherited from class org.jacoco.core.data.ExecutionDataWriter

`BLOCK_EXECUTIONDATA, BLOCK_HEADER, BLOCK_SESSIONINFO, FORMAT_VERSION, MAGIC_NUMBER, out`

### Constructor Summary

Constructors
Constructor and Description
`RemoteControlWriter(OutputStream output)` Creates a new writer based on the given output stream.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `sendCmdOk()` Sends a confirmation that a commands has been successfully executed and the response is completed.
`void` `visitDumpCommand(boolean dump, boolean reset)` Requests a execution data dump with an optional reset.

### Methods inherited from class org.jacoco.core.data.ExecutionDataWriter

`flush, getFileHeader, visitClassExecution, visitSessionInfo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BLOCK_CMDOK

    public static final byte BLOCK_CMDOK

Block identifier to confirm successful command execution.

See Also:
  Constant Field Values

#### BLOCK_CMDDUMP

    public static final byte BLOCK_CMDDUMP

Block identifier for dump command

See Also:
  Constant Field Values

### Constructor Detail

#### RemoteControlWriter

    public RemoteControlWriter(OutputStream output)
                        throws IOException

Creates a new writer based on the given output stream.

Parameters:
  `output` - stream to write commands to
Throws:
  `IOException` - if the header can't be written

### Method Detail

#### sendCmdOk

    public void sendCmdOk()
                   throws IOException

Sends a confirmation that a commands has been successfully executed and the response is completed.

Throws:
  `IOException` - in case of problems with the remote connection

#### visitDumpCommand

    public void visitDumpCommand(boolean dump,
                                 boolean reset)
                          throws IOException

Description copied from interface: `IRemoteCommandVisitor`
Requests a execution data dump with an optional reset.

Specified by:
  `visitDumpCommand` in interface `IRemoteCommandVisitor`
Parameters:
  `dump` - `true` if the dump should be executed
  `reset` - `true` if the reset should be executed
Throws:
  `IOException` - in case of problems with the remote connection